
#### Classifiers

##### CrowdStrike Falcon Incident Classifier

- Added support for **CrowdStrike Falcon IOM Event**.
- Added support for **CrowdStrike Falcon IOA Event**.

#### Incident Fields

- New: **CrowdStrike Falcon User Agent**
- New: **CrowdStrike Falcon Vertex ID**
- New: **CrowdStrike Falcon Response Elements**
- New: **CrowdStrike Falcon User Identity**
- New: **CrowdStrike Falcon Enrichments**
- New: **CrowdStrike Falcon Request Parameters**
- New: **CrowdStrike Falcon Vertex Type**
- New: **CrowdStrike Falcon Resource Attributes**
- New: **CrowdStrike Falcon Service Type**

#### Incident Types

- New: **CrowdStrike Falcon IOM Event**
- New: **CrowdStrike Falcon IOA Event**

#### Integrations

##### CrowdStrike Falcon

- Added the following new commands:
  - ***cs-falcon-cspm-list-policy-details***
  - ***cs-falcon-cspm-list-service-policy-settings***
  - ***cs-falcon-cspm-update-policy-settings***
  - ***cs-falcon-resolve-identity-detection***
- Updated the docker image to *demisto/py3-tools:1.0.0.76090*.

#### Layouts

##### New: CrowdStrike Falcon Layout

New: Added a new layout, and created two new tabs, CSPM IOA, and CSPM IOM, that will show complex incident fields in the form of a table.

#### Mappers

##### CrowdStrike Falcon Mapper

Added support for mirroring in the following incident types:

- **CrowdStrike Falcon IOM Event**.
- **CrowdStrike Falcon IOA Event**.

#### Scripts

##### New: ConvertUserIdentityToTable

New: This script is used to convert CrowdStrike IOA user identity response elements to a table. (Available from Cortex XSOAR 6.8.0).

##### New: ConvertEnrichmentsToTable

New: This script is used to convert CrowdStrike IOA enrichments response elements to a table. (Available from Cortex XSOAR 6.8.0).

##### New: ConvertRequestParametersToTable

New: This script is used to convert CrowdStrike IOA request parameters to a table. (Available from Cortex XSOAR 6.8.0).

##### New: ConvertResourceAttributesToTable

New: This script is used to convert CrowdStrike IOM resource attributes to a table. (Available from Cortex XSOAR 6.8.0).

##### New: ConvertResponseElementsToTable

New: This script is used to convert CrowdStrike IOA response elements to a table. (Available from Cortex XSOAR 6.8.0).
