
#### Classifiers

##### CrowdStrike Falcon Incident Classifier

- Added new incident type "Crowdstrike Command and Scripting"

#### Incident Fields

##### New: Grand Parent Process

- New: Grand Parent Process <~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>

#### Incident Types

##### New: Crowdstrike Command And Scripting

- New: Handles MITRE T1059 - Command And Scripting CrowdStrike alerts<~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>

#### Layouts

##### CrowdStrike Falcon Layout

Added new tab of "Investigation" phase for displaying all related information to the new incident type.

#### Mappers

##### CrowdStrike Falcon Mapper

Updated mapper to support new mapped fields.

#### Playbooks

##### New: T1059 - Command and Scripting Interpreter

New: This playbook handles command and scripting interpreter alerts based on the MITRE T1059 technique.
An attacker might abuse command and script interpreters to execute commands, scripts, or binaries

The playbook executes the following stages:

**Analysis**

- Initiates the CommandLineAnalysis script which will determine if the command lines have any suspicious artifacts that might indicate malicious behavior.
- Enriches any indicators found during the command lines analysis phase.

**Investigative Actions:**
- In case malicious indicators were found, the playbook will initiate a check against CrowdStrike Falcon to identify if any other endpoint has been associated with the same indicators.  
- If there are any, the playbook will update the layout and create a new incident for further investigation.

**Remediation:**

- Terminate the process if the CrowdStike Falcon agent doesn't block it.
- If the process failed or the parent process command line was suspicious as well, A manual action will be provided to the analyst to choose how to proceed further:
    - Terminate the parent process
    - Isolate the endpoint  
    
**Closure Steps:**

- Handle malicious alerts by closing the alert as True Positive.
- Handle non-malicious alerts by closing the alert as False Positive.

##### New: CrowdStrike Falcon - Search Endpoints By Indicators

New: This playbooks searches for different indicators (IP,IPV6,File hashes,Domain) in the CrowdStrike Falcon console. The output will be all the endpoints found associated with provided indicators. Provided agent id as an input will be excluded from the returned list.<~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>

#### Scripts

##### New: cspresentparentprocess

<~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>
##### New: cspresentpolicyactions

<~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>
##### New: cspresentgrandparentprocess

<~XSOAR> (Available from Cortex XSOAR 6.10.0).</~XSOAR>
